$white: #ffffff;

/* Greys */
$grey100: #f8f7fb;
$grey200: #e3e0ec;
$grey300: #cfcbdd;
$grey400: #aca6bf;
$grey500: #8a82a0;
$grey600: #6a6182;
$grey700: #4d4563;
$grey800: #332c45;
$grey900: #1c1726;

/* Purples */
$purple100: #e7daff;
$purple200: #d7c2ff;
$purple300: #b692ff;
$purple400: #9461ff;
$purple500: #7030ff;
$purple600: #4c00ff;
$purple700: #4000db;
$purple800: #3300b2;
$purple900: #260087;

/* Shadows */
$shadow10pct: rgba(28, 23, 38, 0.1);
$shadow15pct: rgba(28, 23, 38, 0.15);
$shadow50pct: rgba(28, 23, 38, 0.5);

$shadowBlack02pct: rgba(0, 0, 0, 0.02);
$shadowBlack07pct: rgba(0, 0, 0, 0.07);

/* Greens */
$green100: #d9ffef;
$green200: #c0ffe4;
$green300: #93fdcf;
$green400: #65f7b8;
$green500: #39ed9f;
$green600: #10df85;
$green700: #00c570;
$green800: #00a75f;
$green900: #00874d;

/* Blues */
$blue100: #ccfcff;
$blue200: #99f2ff;
$blue300: #66e2ff;
$blue400: #3fceff;
$blue500: #00aeff;
$blue600: #0087db;
$blue700: #0065b7;
$blue800: #004793;
$blue900: #00337a;

/* Yellow */
$yellow100: #fffcda;
$yellow200: #fffbc2;
$yellow300: #fff292;
$yellow400: #ffe761;
$yellow500: #ffd930;
$yellow600: #ffc700;
$yellow700: #dbab00;
$yellow800: #b28b00;
$yellow900: #876a00;

/* Red */
$red100: #ffdcdd;
$red200: #ffc6c8;
$red300: #ff9a9f;
$red400: #ff6d76;
$red500: #fc404d;
$red600: #f01527;
$red700: #d1000d;
$red800: #ad0007;
$red900: #870002;

$primary: $purple600;
$secondary: $grey600;
$info: $blue600;
$success: $green600;
$warning: $yellow600;
$danger: $red600;

$link: $primary;

$disabledColor: $grey300;
$disabledBackgroundColor: $grey100;
$disabledHoverBackgroundColor: $grey200;
// Buefy config
$colors: (
  'white': (
    $white,
    $black
  ),
  'black': (
    $black,
    $white
  ),
  'light': (
    $light,
    $light-invert
  ),
  'dark': (
    $dark,
    $dark-invert
  ),
  'primary': (
    $primary,
    $white
  ),
  'secondary': (
    $secondary,
    $white
  ),
  'info': (
    $info,
    $white
  ),
  'success': (
    $success,
    $white
  ),
  'warning': (
    $warning,
    $white
  ),
  'danger': (
    $danger,
    $white
  ),
  'light-primary': (
    $purple100,
    $white
  ),
  'light-secondary': (
    $grey100,
    $white
  ),
  'disabled': (
    $grey100,
    $grey300
  ),
  'light-info': (
    $blue100,
    $white
  ),
  'light-success': (
    $green100,
    $white
  ),
  'light-warning': (
    $yellow100,
    $white
  ),
  'light-danger': (
    $red100,
    $white
  ),
  'facebook': (
    #4464a2,
    $white
  ),
  'snapchat': (
    #f9f600,
    $white
  ),
  'google': (
    #e15541,
    $white
  ),
  'clipr': (
    #2db700,
    $white
  ),
  'grey100': (
    $grey100,
    $white
  ),
  'grey200': (
    $grey200,
    $white
  ),
  'grey300': (
    $grey300,
    $white
  ),
  'grey400': (
    $grey400,
    $white
  ),
  'grey500': (
    $grey500,
    $white
  ),
  'grey600': (
    $grey600,
    $white
  ),
  'grey700': (
    $grey700,
    $white
  ),
  'grey800': (
    $grey800,
    $white
  ),
  'grey900': (
    $grey900,
    $white
  ),
  'purple100': (
    $purple100,
    $white
  ),
  'purple200': (
    $purple200,
    $white
  ),
  'purple300': (
    $purple300,
    $white
  ),
  'purple400': (
    $purple400,
    $white
  ),
  'purple500': (
    $purple500,
    $white
  ),
  'purple600': (
    $purple600,
    $white
  ),
  'purple700': (
    $purple700,
    $white
  ),
  'purple800': (
    $purple800,
    $white
  ),
  'purple900': (
    $purple900,
    $white
  ),
  'green100': (
    $green100,
    $white
  ),
  'green200': (
    $green200,
    $white
  ),
  'green300': (
    $green300,
    $white
  ),
  'green400': (
    $green400,
    $white
  ),
  'green500': (
    $green500,
    $white
  ),
  'green600': (
    $green600,
    $white
  ),
  'green700': (
    $green700,
    $white
  ),
  'green800': (
    $green800,
    $white
  ),
  'green900': (
    $green900,
    $white
  ),
  'blue100': (
    $blue100,
    $white
  ),
  'blue200': (
    $blue200,
    $white
  ),
  'blue300': (
    $blue300,
    $white
  ),
  'blue400': (
    $blue400,
    $white
  ),
  'blue500': (
    $blue500,
    $white
  ),
  'blue600': (
    $blue600,
    $white
  ),
  'blue700': (
    $blue700,
    $white
  ),
  'blue800': (
    $blue800,
    $white
  ),
  'blue900': (
    $blue900,
    $white
  ),
  'yellow100': (
    $yellow100,
    $white
  ),
  'yellow200': (
    $yellow200,
    $white
  ),
  'yellow300': (
    $yellow300,
    $white
  ),
  'yellow400': (
    $yellow400,
    $white
  ),
  'yellow500': (
    $yellow500,
    $white
  ),
  'yellow600': (
    $yellow600,
    $white
  ),
  'yellow700': (
    $yellow700,
    $white
  ),
  'yellow800': (
    $yellow800,
    $white
  ),
  'yellow900': (
    $yellow900,
    $white
  ),
  'red100': (
    $red100,
    $white
  ),
  'red200': (
    $red200,
    $white
  ),
  'red300': (
    $red300,
    $white
  ),
  'red400': (
    $red400,
    $white
  ),
  'red500': (
    $red500,
    $white
  ),
  'red600': (
    $red600,
    $white
  ),
  'red700': (
    $red700,
    $white
  ),
  'red800': (
    $red800,
    $white
  ),
  'red900': (
    $red900,
    $white
  )
);

// TODO: Should be optimized
// $colorNames: (grey, purple, green, blue, yellow, red);
// @each $colorName in $colorNames {
//   @for $i from 1 through 9 {
//     $colors: insert-nth($colors, $colorName#{i * 100}, ($colorName-#{i * 100}, $white));
//   }
// }

$navbar-item-color: $white;

$navbar-item-hover-color: #333;
$navbar-item-hover-background-color: $white;

$black00pct: rgba(0, 0, 0, 0);
$black02pct: rgba(0, 0, 0, 0.02);
$black51pct: rgba(0, 0, 0, 0.51);
$black80pct: rgba(0, 0, 0, 0.8);

$grey00pct: rgba(28, 23, 38, 0);
$grey50pct: rgba(28, 23, 38, 0.5);
$grey75pct: rgba(28, 23, 38, 0.75);

$white75pct: rgba(255, 255, 255, 0.75);

$purple50pct: rgba(76, 0, 255, 0.5);
